## unity-java 1.1~b1+dfsg

=== src/c/test/Makefile ===
LEX=flex
CC=clang
CPPFLAGS=
CFLAGS=-g -O2

# To run with valgrind, do
#    make RUNTESTS=/path/to/valgrind\ --leak-check=yes\ ./runtests
RUNTESTS=./runtests

PARSERS=fits ogip cds vounits

../../grammar/testcases-%.csv: ../../grammar/testcases.csv
	cd ../../grammar; $(MAKE) `basename $@`

runtests: runtests.o ../libunity.a
	$(CC) -o $@ $(CPPFLAGS) $(CFLAGS) -DYY_NO_INPUT=1 runtests.o -L.. -lunity -lm

runtests.c: runtests.lex
	$(LEX) -oruntests.c runtests.lex

unit-tests: unit-tests.o lcut/lcut.o ../libunity.a
	$(CC) -o $@ $(CPPFLAGS) $(CFLAGS) -Wall unit-tests.o lcut/lcut.o -L.. -lunity -lm

# The flex output includes a yyinput(), which is redundant in this
# case (and so causes a compilation error with -Wall -Werror), but
# which is omitted if (undocumented) YY_NO_INPUT is defined.
runtests.o: runtests.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -DYY_NO_INPUT=1 -c -o runtests.o runtests.c

lcut/lcut.o:
	cd lcut; $(CC) $(CFLAGS) $(CPPFLAGS) -c -o lcut.o lcut.c

check: runtests $(patsubst %,../../grammar/testcases-%.csv,$(PARSERS)) unit-tests
	./unit-tests
	@for parser in $(PARSERS); do \
		$(RUNTESTS) -p$$parser ../../grammar/testcases-$$parser.csv; \
	done


clean:
	rm -f *.o
	cd lcut; rm -f *.o
	rm -f runtests runtests.c unit-tests

=== src/java/test/Makefile ===
# Run tests
# We run ParseAll for each of the defined syntaxes,
# and run all of the JUnit tests indicated by files called Test*.java
# (if JUnit is available).

JAVAC=/nix/store/84kssxbjlfbjkah4hd8hpylkjnq5isb3-zulu8.54.0.21-ca-jdk-8.0.292/bin/javac
JAVA=/nix/store/84kssxbjlfbjkah4hd8hpylkjnq5isb3-zulu8.54.0.21-ca-jdk-8.0.292/bin/java

HAVE_JUNIT=:
LIBCLASSPATH=/checkouts/me/heptapod/unity/lib/commons-codec-1.13.jar:/checkouts/me/heptapod/unity/lib/commons-io-2.8.0.jar:/checkouts/me/heptapod/unity/lib/commons-lang3-3.11.jar:/checkouts/me/heptapod/unity/lib/commons-text-1.9.jar:/checkouts/me/heptapod/unity/lib/failureaccess-1.0.1.jar:/checkouts/me/heptapod/unity/lib/fluent-hc-4.5.13.jar:/checkouts/me/heptapod/unity/lib/guava-30.1.1-jre.jar:/checkouts/me/heptapod/unity/lib/hamcrest-core-1.1.jar:/checkouts/me/heptapod/unity/lib/hamcrest-core-1.3.jar:/checkouts/me/heptapod/unity/lib/httpclient-4.5.13.jar:/checkouts/me/heptapod/unity/lib/httpclient-cache-4.5.13.jar:/checkouts/me/heptapod/unity/lib/httpclient-osgi-4.5.13.jar:/checkouts/me/heptapod/unity/lib/httpcore-4.4.13.jar:/checkouts/me/heptapod/unity/lib/httpcore-nio-4.4.14.jar:/checkouts/me/heptapod/unity/lib/httpcore-osgi-4.4.14.jar:/checkouts/me/heptapod/unity/lib/httpmime-4.5.13.jar:/checkouts/me/heptapod/unity/lib/icu4j-3.4.4.jar:/checkouts/me/heptapod/unity/lib/iri-0.8.jar:/checkouts/me/heptapod/unity/lib/jackson-annotations-2.11.4.jar:/checkouts/me/heptapod/unity/lib/jackson-core-2.11.4.jar:/checkouts/me/heptapod/unity/lib/jackson-databind-2.11.4.jar:/checkouts/me/heptapod/unity/lib/javax.activation-api-1.2.0.jar:/checkouts/me/heptapod/unity/lib/jaxb-api-2.3.1.jar:/checkouts/me/heptapod/unity/lib/jcl-over-slf4j-1.7.31.jar:/checkouts/me/heptapod/unity/lib/jflex-1.4.3.jar:/checkouts/me/heptapod/unity/lib/joda-time-1.6.2.jar:/checkouts/me/heptapod/unity/lib/jsonld-java-0.13.3.jar:/checkouts/me/heptapod/unity/lib/junit-4.13.jar:/checkouts/me/heptapod/unity/lib/listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar:/checkouts/me/heptapod/unity/lib/mapdb-1.0.8.jar:/checkouts/me/heptapod/unity/lib/mrg-0.7.jar:/checkouts/me/heptapod/unity/lib/rdf4j-http-client-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-http-protocol-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-model-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-model-api-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-model-vocabulary-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-query-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-queryalgebra-evaluation-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-queryalgebra-model-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-queryparser-api-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-queryparser-sparql-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-queryresultio-api-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-queryresultio-binary-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-queryresultio-sparqlxml-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-repository-api-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-repository-sail-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-repository-sparql-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-rio-api-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-rio-datatypes-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-rio-languages-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-rio-ntriples-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-rio-rdfxml-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-rio-trig-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-rio-turtle-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-sail-api-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-sail-base-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-sail-memory-3.7.4.jar:/checkouts/me/heptapod/unity/lib/rdf4j-util-3.7.4.jar:/checkouts/me/heptapod/unity/lib/slf4j-api-1.7.31.jar:/checkouts/me/heptapod/unity/lib/slf4j-simple-1.7.31.jar:/checkouts/me/heptapod/unity/lib/xercesImpl-2.7.1.jar
#JTESTS=TestMisc TestDimensions
# the following is starting to be Clever (and therefore wicked)
JTESTS=$(shell ls Test*.java | sed s/.java//)
PARSERS=fits ogip cds vounits
#PARSERS=$(shell ls ../gen/uk/me/nxg/unity/Parser_*.java | sed 's/.*_\([a-z]*\).java/\1/')


../../grammar/testcases-%.csv: ../../grammar/testcases.csv
	cd ../../grammar; make `basename $@`


build/%.class: %.java build/STAMP
	$(JAVAC) -encoding UTF8 -d build -cp ../unity.jar:$(LIBCLASSPATH) $<


check: build/ParseAll.class check-junit \
		$(patsubst %,../../grammar/testcases-%.csv,$(PARSERS))
	$(JAVA) -ea -cp build:../unity.jar ParseAll \
	  -t $(patsubst %,-p%,$(PARSERS)) \
	  ../../grammar/testcases-%.csv

build/STAMP:
	test -d build || mkdir build
	date >build/STAMP

# Run JUnit tests if JUnit is available; otherwise silently skip them
check-junit:
	if $(HAVE_JUNIT); then $(MAKE) run-junit; else :; fi

run-junit: build/RunTests.class $(patsubst %,build/%.class,$(JTESTS))
	$(JAVA) -ea -cp build:../unity.jar:$(LIBCLASSPATH) RunTests $(JTESTS)

clean:
	rm -Rf build

=== debian/changelog ===
unity-java (1.1~b1+dfsg-3) unstable; urgency=medium

  [ Ole Streicher ]
  * Fix wrong dependency on junit4

  [ Chris Lamb ]
  * unity-java: please make the build reproducible (Closes: #1040904)

 -- Ole Streicher <olebole@debian.org>  Thu, 27 Jul 2023 11:52:27 +0200

unity-java (1.1~b1+dfsg-2) unstable; urgency=medium

  * Source-only re-upload

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2023 09:51:05 +0200

unity-java (1.1~b1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1029549)

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Jun 2023 14:53:40 +0200

=== debian/control ===
Source: unity-java
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               javahelper,
               junit4
Build-Depends-Indep: default-jdk,
                     default-jdk-doc
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/unity-java
Vcs-Git: https://salsa.debian.org/debian-astro-team/unity-java.git
Homepage: https://purl.org/nxg/dist/unity
Rules-Requires-Root: no

Package: libunity-java
Architecture: all
Multi-Arch: foreign
Depends: ${java:Depends},
         ${misc:Depends}
Description: Parse scientific unit specifications with Java
 This is the unity library, which is able to parse scientific unit
 specifications using a variety of syntaxes. It is not a goal for this
 library to do any processing of the resulting units, such as unit
 conversion or arithmetic.

Package: libunity-java-doc
Multi-Arch: foreign
Section: doc
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Suggests: libunity-java
Description: Parse scientific unit specifications with Java (javadocs)
 This is the unity library, which is able to parse scientific unit
 specifications using a variety of syntaxes. It is not a goal for this
 library to do any processing of the resulting units, such as unit
 conversion or arithmetic.
 .
 This package contains the JavaDoc documentation of the package.

## unity-java 1.1+dfsg

=== debian/changelog ===
unity-java (1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1+dfsg
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 13 Sep 2024 11:50:53 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                junit4
 Build-Depends-Indep: default-jdk,
                      default-jdk-doc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/unity-java
 Vcs-Git: https://salsa.debian.org/debian-astro-team/unity-java.git
 Homepage: https://purl.org/nxg/dist/unity

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh $@ --with javahelper

override_dh_auto_build:
	dh_auto_build -- LANGS=src/java
	javadoc -cp src/java:src/java/gen -d html uk.me.nxg.unity

override_dh_auto_test:
	CLASSPATH=/usr/share/java/junit4.jar dh_auto_test -- LANGS=src/java

override_dh_auto_install:
	# do nothing

=== debian/tests/control ===
Tests: test-unity
Depends: @, default-jdk, junit4
Restrictions: allow-stderr
